Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-9507

Beam dependency check failing

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Not applicable
    • Component/s: testing
    • Labels:
      None

      Description

      Here are the logs:

      https://builds.apache.org/job/beam_Dependency_Check/257/console

       
      from grpc_tools import protoc*13:04:25* ImportError: No module named 'grpc_tools'13:04:25 13:04:25 During handling of the above exception, another exception occurred:13:04:25 13:04:25 Traceback (most recent call last):13:04:25 File "/usr/lib/python3.5/multiprocessing/process.py", line 249, in bootstrap*13:04:25* self.run()13:04:25 File "/usr/lib/python3.5/multiprocessing/process.py", line 93, in run*13:04:25* self._target(self._args, **self._kwargs)*13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/gen_protos.py", line 378, in _install_grpcio_tools_and_generate_proto_files*13:04:25* generate_proto_files(force=force)13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/gen_protos.py", line 315, in generate_proto_files*13:04:25* protoc_gen_mypy = _find_protoc_gen_mypy()13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/gen_protos.py", line 233, in _find_protoc_gen_mypy*13:04:25* (fname, ', '.join(search_paths)))13:04:25 RuntimeError: Could not find protoc-gen-mypy in /home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/sdks/python/bin, /home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/sdks/python/bin, /home/jenkins/tools/java/latest1.8/bin, /usr/local/sbin, /usr/local/bin, /usr/sbin, /usr/bin, /sbin, /bin, /usr/games, /usr/local/games*13:04:25* Traceback (most recent call last):13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/gen_protos.py", line 292, in generate_proto_files*13:04:25* from grpc_tools import protoc*13:04:25* ImportError: No module named 'grpc_tools'13:04:25 13:04:25 During handling of the above exception, another exception occurred:13:04:25 13:04:25 Traceback (most recent call last):13:04:25 File "<string>", line 1, in <module>13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/setup.py", line 315, in <module>13:04:25 'mypy': generate_protos_first(mypy),13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/sdks/python/lib/python3.5/site-packages/setuptools/init_.py", line 144, in setup*13:04:25* return distutils.core.setup(*attrs)*13:04:25 File "/usr/lib/python3.5/distutils/core.py", line 148, in setup*13:04:25* dist.run_commands()13:04:25 File "/usr/lib/python3.5/distutils/dist.py", line 955, in run_commands*13:04:25* self.run_command(cmd)13:04:25 File "/usr/lib/python3.5/distutils/dist.py", line 974, in run_command*13:04:25* cmd_obj.run()13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/setup.py", line 239, in run*13:04:25* gen_protos.generate_proto_files()13:04:25 File "/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/gen_protos.py", line 310, in generate_proto_files*13:04:25* raise ValueError("Proto generation failed (see log for details).")13:04:25 ValueError: Proto generation failed (see log for details).13:04:25 ----------------------------------------13:04:25 ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.13:04:25 13:04:25 >
      Task :sdks:python:dependencyUpdates
      FAILED*13:04:25* 13:04:25 FAILURE: Build failed with an exception.13:04:25 13:04:25 * Where:13:04:25 Build file '/home/jenkins/jenkins-slave/workspace/beam_Dependency_Check/src/sdks/python/build.gradle' line: 94*13:04:25* 13:04:25 * What went wrong:13:04:25 Execution failed for task ':sdks:python:dependencyUpdates'.13:04:25 > Process 'command 'sh'' finished with non-zero exit value 1

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                piotr-szuberski Piotr Szuberski
                Reporter:
                mwalenia Michał Walenia
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 2.5h
                  2.5h